Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.extractor
Class AnnotatedExtractor

    java.lang.Object
      unity.extractor.AnnotatedExtractor

    public class AnnotatedExtractor

extends java.lang.Object

Constructor Summary
`AnnotatedExtractor()`

Method Summary
`java.util.HashMap` | `createAnnotatedSourceTables(java.sql.Connection con, boolean access)`
`java.util.HashMap` | `createFields(java.lang.String schemaName, java.lang.String tableName)`
`java.util.ArrayList` | `createForeignKeys(java.lang.String tableName, java.util.HashMap fields, AnnotatedSourceTable st)`
`AnnotatedSourceKey` | `createPrimaryKey(java.lang.String tableName, java.util.HashMap fields)`
`AnnotatedSourceKey` | `createPrimaryKeyAccess(java.lang.String tableName, java.util.HashMap fields)`
`void` | `exportXML(java.io.File file)`
`void` | `exportXML(java.io.PrintWriter pw)`
`void` | `extract(java.sql.Connection c)`
`void` | `setDatabaseName(java.lang.String n)`
`void` | `setOutputArea(javax.swing.JTextArea a)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedExtractor

    public AnnotatedExtractor()

Method Detail

### setOutputArea

    public void setOutputArea(javax.swing.JTextArea a)

### setDatabaseName

    public void setDatabaseName(java.lang.String n)

### extract

    public void extract(java.sql.Connection c)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createAnnotatedSourceTables

    public java.util.HashMap createAnnotatedSourceTables(java.sql.Connection con,
                                                         boolean access)
                                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createFields

    public java.util.HashMap createFields(java.lang.String schemaName,
                                          java.lang.String tableName)
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createPrimaryKey

    public AnnotatedSourceKey createPrimaryKey(java.lang.String tableName,
                                               java.util.HashMap fields)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createForeignKeys

    public java.util.ArrayList createForeignKeys(java.lang.String tableName,
                                                 java.util.HashMap fields,
                                                 AnnotatedSourceTable st)
                                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createPrimaryKeyAccess

    public AnnotatedSourceKey createPrimaryKeyAccess(java.lang.String tableName,
                                                     java.util.HashMap fields)
                                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### exportXML

    public void exportXML(java.io.File file)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### exportXML

    public void exportXML(java.io.PrintWriter pw)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD